curl --request POST \
--url https://v2.prod.halliday.xyz/prices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fiat": "USD",
"tokens": [
"ethereum:0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"base:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913"
]
}
'import requests
url = "https://v2.prod.halliday.xyz/prices"
payload = {
"fiat": "USD",
"tokens": ["ethereum:0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48", "base:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fiat: 'USD',
tokens: [
'ethereum:0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48',
'base:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913'
]
})
};
fetch('https://v2.prod.halliday.xyz/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ethereum:0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48": "0.9999",
"base:0x833589fcd6edb6e08f4c7c32d4f71b54bda02913": "0.9999",
"usd": "1.0"
}{
"errors": [
{
"code": "custom",
"path": [
"tokens",
0
],
"message": "Unknown Chain: 'nope'"
}
]
}{
"errors": [
{
"kind": "other",
"message": "Invalid API key"
}
]
}Get token prices
Get the current price of one or more tokens denominated in a fiat currency.
The response is a map keyed by the normalized token identifier (chain:address, lowercased)
with the price as a decimal string. The fiat currency itself is included as a key (for example
usd) with a value of 1.0. The usd value is always included, even when the requested fiat
is something like eur. Tokens that do not have a price will be left out of the response.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Response
Prices retrieved successfully
Normalized token identifier (chain:address, lowercased) mapped to its price in the requested fiat currency. The fiat currency is included as a key with a value of 1.0.
Price as a decimal string
"0.9999"

